# Send rows via email

Sends one or more rows via email.

Endpoint: POST /sheets/{sheetId}/rows/emails
Version: 2.0.0
Security: APIToken, OAuth2

## Path parameters:

  - `sheetId` (number, required)
    ID of the sheet being accessed.

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Request fields (application/json):

  - `rowIds` (array)
    The Ids of rows to be included.

  - `columnIds` (array)
    The ID of the columns to be included.

  - `includeAttachments` (boolean)
    Indicates whether to include attachments in the email.

  - `includeDiscussions` (boolean)
    Indicates whether to include discussions in the email.

  - `layout` (boolean)
    One of the following values: HORIZONTAL or VERTICAL. Optional, defaults to HORIZONTAL when multiple rows are being sent and to VERTICAL when a single row is being sent. HORIZONTAL formats the rows being sent as a grid, whereas VERTICAL formats the rows being sent as separate cards.

  - `ccMe` (boolean)
    Indicates whether to send a copy of the email to the sender.

  - `message` (string)
    The message of the email.

  - `sendTo` (array)
    Array of recipients.

  - `subject` (string)
    The subject of the email.

## Response 200 fields (application/json):

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3


